From 26b88617505acb59d93884199de9c6a94d306ec2 Mon Sep 17 00:00:00 2001
From: Sedat Dilek <sedat.dilek@gmail.com>
Date: Thu, 27 Sep 2012 14:43:24 +0200
Subject: [PATCH] Thermal: Fixup to commit 404b134156bd ("Fix synchronization
 issues in thermal_sys.c")


Signed-off-by: Sedat Dilek <sedat.dilek@gmail.com>
---
 drivers/thermal/thermal_sys.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/thermal/thermal_sys.c b/drivers/thermal/thermal_sys.c
index e1179d3..848553d 100644
--- a/drivers/thermal/thermal_sys.c
+++ b/drivers/thermal/thermal_sys.c
@@ -252,7 +252,7 @@ static void bind_cdev(struct thermal_cooling_device *cdev)
 		}
 
 		tzp = pos->tzp;
-		if (!tzp->tbp)
+		if (!tzp || !tzp->tbp)
 			continue;
 
 		for (i = 0; i < tzp->num_tbps; i++) {
-- 
1.7.9.5

